Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.edit
Class ObjectSelection

    java.lang.Object
      de.grogra.pf.ui.edit.SelectionBase
          de.grogra.pf.ui.edit.FieldSelection
              de.grogra.pf.ui.edit.ObjectSelection

All Implemented Interfaces:
  Selection, Described

    public class ObjectSelection

extends FieldSelection

Field Summary

Fields inherited from class de.grogra.pf.ui.edit.SelectionBase
`context`

Fields inherited from interface de.grogra.pf.ui.edit.Selection
`DELETABLE, HIERARCHICAL, TRANSFERABLE`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`ObjectSelection(Context ctx, java.lang.Object object, PersistenceField[] fields, int[][] indices, PropertyEditor[] editors, java.lang.String[] labels, Item description)`

Method Summary
`protected FieldProperty` | `createProperty(Context c, int i)`
`protected PropertyEditorTree` | `createTree()`
`protected java.lang.Object` | `replaceValue(PersistenceField field, java.lang.Object value)`
`protected void` | `valueChanged(PersistenceField field, java.lang.Object value)`

Methods inherited from class de.grogra.pf.ui.edit.FieldSelection
`createPropertyNodes, createPropertyNodesInGroup, equals, getDescription, getEditorFor, getHierarchySource, getHierarchySourceRoot, getLabelFor, getProperties`

Methods inherited from class de.grogra.pf.ui.edit.SelectionBase
`createPropertyEditorComponent, createPropertyEditorMenu, createPropertyNodes, delete, getCapabilities, getContext, remove, toTransferable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectSelection

    public ObjectSelection(Context ctx,
                           java.lang.Object object,
                           PersistenceField[] fields,
                           int[][] indices,
                           PropertyEditor[] editors,
                           java.lang.String[] labels,
                           Item description)

Method Detail

### createProperty

    protected FieldProperty createProperty(Context c,
                                           int i)

  Specified by:
    `createProperty` in class `FieldSelection`

### createTree

    protected PropertyEditorTree createTree()

  Specified by:
    `createTree` in class `SelectionBase`

### replaceValue

    protected java.lang.Object replaceValue(PersistenceField field,
                                            java.lang.Object value)

### valueChanged

    protected void valueChanged(PersistenceField field,
                                java.lang.Object value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD